Page MenuHomePhabricator

Disable Special:ItemDisambiguation
Closed, ResolvedPublic

Description

It uses wb_terms table for search. It shouldn't

Event Timeline

Ladsgroup triaged this task as High priority.May 28 2018, 10:34 AM
Ladsgroup created this task.

Change 435770 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Disable Special:ItemDisambiguation in Wikidata

https://gerrit.wikimedia.org/r/435770

Change 435770 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable Special:ItemDisambiguation in Wikidata

https://gerrit.wikimedia.org/r/435770

Change 435790 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Disable Special:ItemDisambiguation in Wikidata

https://gerrit.wikimedia.org/r/435790

Change 435790 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable Special:ItemDisambiguation in Wikidata

https://gerrit.wikimedia.org/r/435790

Mentioned in SAL (#wikimedia-operations) [2018-05-28T14:23:23Z] <ladsgroup@tin> Synchronized wmf-config/Wikibase-production.php: Disable Special:ItemDisambiguation in Wikidata (T195756) (duration: 01m 20s)

Is there any way an error message could be shown to users to explain why Special:ItemDisambiguation is being redirected to Special:BlankPage? It's quite puzzling for someone who isn't aware of the current issues.

I understand that it may not be a priority to do this now, but if redirecting to Special:BlankPage is something that could conceivably be needed again in the future, it would help to have some sort of mechanism to also provide an informative message when that happens, so that the next time the behavior isn't so confusing.

Ladsgroup moved this task from Tasks to Done on the Wikidata-Ministry-Of-Magic board.

Is there any way an error message could be shown to users to explain why Special:ItemDisambiguation is being redirected to Special:BlankPage? It's quite puzzling for someone who isn't aware of the current issues.
I understand that it may not be a priority to do this now, but if redirecting to Special:BlankPage is something that could conceivably be needed again in the future, it would help to have some sort of mechanism to also provide an informative message when that happens, so that the next time the behavior isn't so confusing.

Indeed, we were thinking of having a special page called ""Special:DsiabledSpecialPage" in such cases but building that is outside of our scope for now.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMay 29 2018, 2:58 PM
Ladsgroup moved this task from incoming to in progress on the Wikidata board.Jun 2 2018, 6:08 PM
Lucas_Werkmeister_WMDE closed this task as Resolved.Jun 5 2018, 1:21 PM

Indeed, we were thinking of having a special page called ""Special:DsiabledSpecialPage" in such cases but building that is outside of our scope for now.

Thanks for the information. Is there an issue to track that? I can create one if not.

It would be great if you make a phabricator ticket :)

Vvjjkkii renamed this task from Disable Special:ItemDisambiguation to n5baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Ladsgroup as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
1339861mzb renamed this task from n5baaaaaaa to Disable Special:ItemDisambiguation.Jul 1 2018, 6:27 AM
1339861mzb closed this task as Resolved.
1339861mzb updated the task description. (Show Details)